API ReferenceapicommunityPOST /v1/bookmarks

POST /v1/bookmarks

Service: community · operationId: (none)

Required scopes

(no scope declared — review service config)

Request body

{
  "type": "object",
  "properties": {
    "activity_id": {
      "type": "string",
      "format": "uuid"
    }
  },
  "required": [
    "activity_id"
  ]
}

Responses

201 Bookmark created (idempotent)

{
  "type": "object",
  "properties": {
    "user_id": {
      "type": "string"
    },
    "activity_id": {
      "type": "string"
    },
    "created_at": {
      "type": "string"
    }
  },
  "required": [
    "user_id",
    "activity_id",
    "created_at"
  ]
}

429 Rate limit exceeded

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X POST https://community.platform.loop.health/v1/bookmarks \
  -H "Authorization: Bearer $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{ ... }'